Name:      ovirt-imageio-daemon
Version:   0.3.0
Release:   1%{?release_suffix}%{?dist}
Summary:   oVirt imageio daemon

Group:     Applications/System
License:   GPLv2+
Url:       https://github.com/oVirt/ovirt-imageio
Source0:   http://resources.ovirt.org/pub/ovirt-4.0/src/%{name}/%{name}-%{version}.tar.gz
BuildArch: noarch

# NOTE: keep in sync with automation/check.packages
Requires:  ovirt-imageio-common
Requires:  python
Requires:  systemd-python

# NOTE: keep in sync with automation/build-artifacts.packages
BuildRequires: python-devel
BuildRequires: systemd

%description
Daemon to manage image data transfer on oVirt virtualization hosts.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
install -Dm 0644 data/ovirt-imageio-daemon.service %{buildroot}%{_unitdir}/ovirt-imageio-daemon.service

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%license COPYING
%doc README
%{_unitdir}/ovirt-imageio-daemon.service


# For more information about the systemd macros, see:
# https://fedoraproject.org/wiki/Packaging:Scriptlets#New_Packages

%post
# After installation, synchronize service state with preset files.
%systemd_post ovirt-imageio-daemon.service

%preun
# Before uninstalling, stop and disable the service.
%systemd_preun ovirt-imageio-daemon.service

%postun
# After upgrading, restart the service.
%systemd_postun_with_restart ovirt-imageio-daemon.service

%changelog
* Tue Jul 26 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 0.3.0-1
- Initial release based on upstream 0.3.0-0.201606191345.git9f3d6d4
